class Base64 {
  encode(object) {
      if (!object) {
          return null;
      }

      const string = JSON.stringify(object);
      const base64 = Buffer.from(string).toString('base64');
  
      return base64;
  };

  decode(base64, format = 'utf8') {
      if (!base64) {
          return null;
      }

      const string = Buffer.from(base64, 'base64').toString(format);
      const object = JSON.parse(string);

      return object;
  };
  isValid(base64) {
    if(!base64) return false;
    const toCheckBase64 = /^([A-Za-z0-9+/]{4})*([A-Za-z0-9+/]{4}|[A-Za-z0-9+/]{3}=|[A-Za-z0-9+/]{2}==)$/;
    return toCheckBase64.test(base64);
  }
}

module.exports = new Base64();
