class Time {
    getMilliSeconds(timeNumber, unitOrigin) {
        if(typeof timeNumber !== 'number') throw new TypeError('ERR_EXPECTED_NUMBER_IN_TIME_PARAM');
        const millisecondsCast = {
            'hours':   60*60*1000,
            'minutes': 60*1000,
            'seconds': 1000,
        }
        let valueToCast = millisecondsCast[unitOrigin.toLowerCase()] || null;
        if(valueToCast == null) throw new Error('ERR_INVALID_UNIT_ORIGIN_PARAM');
        return timeNumber * valueToCast;
    }
}

module.exports = new Time();