
const OracleService = require('../service/OracleService')

class adqMovBeneficioConsModel {
    constructor() {
        this.GET_ADQMOVBENEFICIOCONS = `
            SELECT NRSEQBENECONS, CDCLIENTE, CDCONSUMIDOR, CDCAMPANHA, NRSEQPRODCAMP, NRSEQBENEFICIO
              FROM MOVBENEFICIOCONS
             WHERE CDFILIAL   = :P_CDFILIAL
               AND CDCAIXA    = :P_CDCAIXA
               AND NRSEQVENDA = :P_NRSEQVENDA
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQMOVBENEFICIOCONS, params);
        })
    }
}  

module.exports = new adqMovBeneficioConsModel();