const OracleService = require("../service/OracleService");

class adqVerifProdBloqVndTaaModel {
  constructor() {
    this.GET_ADQVERIFPRODBLOQVNDTAAMODEL = `
            SELECT CDFILIAL,CDLOJA,CDPRODUTO,NRDIASEMANABLOQ
              FROM PRODBLOQVNDTAA
             WHERE CDFILIAL        = :P_CDFILIAL
               AND CDLOJA          = :P_CDLOJA
               AND CDPRODUTO       = :P_CDPRODUTO
               AND NRDIASEMANABLOQ = :P_NRDIASEMANABLOQ
          `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(
        this.GET_ADQVERIFPRODBLOQVNDTAAMODEL,
        params
      );
    });
  }
}

module.exports = new adqVerifProdBloqVndTaaModel();
