
const OracleService = require('../service/OracleService')

class adqVerifTurCaixaModel {
    constructor() {
        this.GET_ADQVERIFTURCAIXA = `
            SELECT
               *
            FROM
               TURCAIXA
            WHERE
               (CDFILIAL   = :P_CDFILIAL  ) AND
               (CDCAIXA    = :P_CDCAIXA   ) AND
               (DTABERCAIX = TIMESTAMP :P_DTABERCAIX)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVERIFTURCAIXA, params);
        }).catch( error => {
            console.log( 'Erro ao buscar turcaixa', error )
            throw error
        })
    }
}  

module.exports = new adqVerifTurCaixaModel();