
const OracleService = require('../service/OracleService')

class adqMaxDtuUltAtuMCLIModel {
    constructor() {
        this.GET_ADQMAXDTUULTATUMCLI = `
            SELECT
               MIN(DTULTATUMCLI) AS DTULTATUMCLI
            FROM
               MOVICLIE
            WHERE
               DTULTATUMCLI > TIMESTAMP :P_DTULTATUMCLI
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQMAXDTUULTATUMCLI, params);
        })
    }
}  

module.exports = new adqMaxDtuUltAtuMCLIModel();