const app = require('./app/main/config/app');
const socketService = require('./app/service/SocketService');

const http = require('http').createServer(app);
socketService.start(http);

let customDbname = !!process.argv[2] ? process.argv[2] : '';
let customPort = !!process.argv[3] ? process.argv[3] : '7777';

if (customDbname.indexOf('USR_ORG_') != -1) {
  customPort = parseInt(customDbname.slice(8, customDbname.length));
}

if (!(customDbname.indexOf('USR_ORG_') != -1) && !customPort) {
  customPort = 7777;
}

if (customDbname.indexOf('ODHEN') != -1) {
  customDbname = '';
}

process.on('warning', e => console.warn(e.stack));

http.listen(customPort, (_) => {
  console.log(`Running on ${customPort}!`);
});